Bug 241232 - Gnome defaults to 96 dpi
Summary: Gnome defaults to 96 dpi
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-24 15:06 UTC by Stepan Kasal
Modified: 2008-05-06 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:37:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stepan Kasal 2007-05-24 15:06:25 UTC
Symptom:
after a clean installation, the fonts on the desktop are insanely small.

Description of the problem:

After a clean installation (FC6 DVD, then "yum upgrade"), I get 96 dpi in:
System | Preferences | Fonts | button Details

These days, xorg X server is able to get the real value from the monitor and I
believe the desktop should use the xorg value by default.

If you are afraid to trust the X server, you might use a bottom value, eg.:
  max(96, what-x-server-says)

Comment 1 Bastien Nocera 2007-05-24 15:12:53 UTC
What's the output of "xdpyinfo | grep resolution"?

On my system, it's about 96dpi as well.
$ xdpyinfo | grep resolution
  resolution:    99x98 dots per inch


Comment 2 Stepan Kasal 2007-05-25 09:07:35 UTC
(In reply to comment #1)
> What's the output of "xdpyinfo | grep resolution"?

$ xdpyinfo |grep resolu
  resolution:    126x126 dots per inch

(Yes, when I follow the rule "do not set the resolution too high", then
everything just works.  I learned the rule in the dark days when I was forced to
use other OSes.  But my office mate, mcepl, has told me that this superstition
is not needed any more, and I could allow Fedora to default to the maximal
resolution.)

Comment 3 Bastien Nocera 2007-05-25 09:19:23 UTC
Check the full output of xdpyinfo, it's most likely that your monitor indeed has
a very high dpi, or the monitor is reporting wrong physical dimensions.

Resassigning to X.org. mcepl should know what you need to gather now :)

Comment 4 Stepan Kasal 2007-05-25 10:00:09 UTC
xdpyinfo has it right, the resolution is really 126 dpi.
(I have a 17" monitor which is capable of 1600x1200.)

But Gnome defaults to the value of 96 dpi, which means that the desktop uses
unreadable tiny fonts.  Re-assigning back.

Comment 5 Bug Zapper 2008-04-04 07:17:06 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 6 Bug Zapper 2008-05-06 19:37:13 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.